# vim: set fileencoding=utf-8 :

from panelplugin.UsageIcon import UsageIcon

#----------------------------------------------------------------------------#
class BTIcon(UsageIcon):
#----------------------------------------------------------------------------#
    def __init__(self, parentObject = None, notificationAvailable = False):
        self.parentObject = parentObject
        self.notificationAvailable = notificationAvailable

        UsageIcon.__init__(self,
                                "Turn on Bluetooth",
                                "Turn off Bluetooth",
                                "Bluetooth",
                                self.parentObject,
                                "bluetooth", 
                                self.notificationAvailable)
        self.dbusReInit()

    def getIcon(self):
        return "%s/bt_%d.png" % (self.parentObject.iconpath, self.resourceState)
