# vim: set fileencoding=utf-8 :

#import gtk

from panelplugin.UsageIcon import UsageIcon

#----------------------------------------------------------------------------#
class GPSIcon(UsageIcon):
#----------------------------------------------------------------------------#
    def __init__(self, parentObject = None, notificationAvailable = False):
        self.parentObject = parentObject
        self.notificationAvailable = notificationAvailable

#        proxy = self.dbus.bus.get_object("org.freesmartphone.odeviced", "/org/freesmartphone/Gypsy")
#        self.dbussatelliteiface = Interface(proxy, "org.freedesktop.Gypsy.Satellite")
#        self.dbussatelliteiface.connect_to_signal("SatellitesChanged", self.updateSatellites)
#        self.satellitecount = -1

        UsageIcon.__init__(self,
                           "Turn on GPS",
                           "Turn off GPS",
                           "GPS",
                           self.parentObject,
                           "gps",
                           self.notificationAvailable)

#        self.menuItemSetTime = gtk.MenuItem("Set Time from GPS (does nothing yet)")
#        self.menuItemSetTime.connect("activate", self.activateMenu)
#        self.menuItemSetTime.show()

#        self.menu.append(self.menuItemSetTime)
        self.dbusReInit()

    def getIcon(self):
        return "%s/gps_%d.png" % (self.parentObject.iconpath, self.resourceState)
