# vim: set fileencoding=utf-8 :

from panelplugin.UsageIcon import UsageIcon

#----------------------------------------------------------------------------#
class WiFiIcon(UsageIcon):
#----------------------------------------------------------------------------#
    def __init__(self, parentObject = None, notificationAvailable = False):
        self.parentObject = parentObject
        self.notificationAvailable = notificationAvailable

        UsageIcon.__init__(self,
                                "Turn on WiFi",
                                "Turn off WiFi",
                                "WiFi",
                                self.parentObject,
                                "wifi",
                                self.notificationAvailable)

    def getIcon(self):
        return "%s/wifi_%d.png" % (self.parentObject.iconpath, self.resourceState)
